<h1 align="center">Kactus</h1>

<div align="center">
  <img src="https://avatars0.githubusercontent.com/u/22014617?v=3&u=89e1d1c468b5abb12e2c8a1233bb08f3d3222db9&s=200" />
</div>
<br />
<div align="center">
  <strong>A proper version control tool for designers</strong>
</div>

[![CircleCI](https://circleci.com/gh/kactus-io/kactus/tree/master.svg?style=svg)](https://circleci.com/gh/kactus-io/kactus/tree/master)
![Sketch.app](https://img.shields.io/badge/Sketch.app-43-brightgreen.svg)
[![license](https://img.shields.io/github/license/kactus-io/kactus.svg?style=flat-square)](https://github.com/kactus-io/kactus/blob/master/LICENSE)
![90+% TypeScript](https://img.shields.io/github/languages/top/kactus-io/kactus.svg?style=flat-square&colorB=green)

Kactus is a tool to bring proper version control _(as in git)_ to designers _(only sketch users for now, but we need to start somewhere, right?)_.

This new tool is on the next level:

- it brings the entire git flow to sketch: branches, pull requests, team collaboration (you can work on the same file and automatically merge the changes), etc
- you can share pages across multiple sketch files
- you can publish pages on the internet and import them in another project _(soon)_!

![Kactus screenshot - macOS](https://user-images.githubusercontent.com/3254314/27239695-4615f8f2-52d2-11e7-99df-48867813a49c.png)

## :cactus: Where can I get it?

Download the installer for your operating system:

- [macOS](https://github.com/kactus-io/kactus/releases)

## Is Kactus right for me? What are the primary areas of focus?

[This document](https://github.com/kactus-io/kactus/blob/master/docs/process/what-is-kactus.md) describes the focus of Kactus and who the product is most useful for.

## :cactus: I have a problem with Kactus

First, please search the [open issues](https://github.com/kactus-io/kactus/issues?q=is%3Aopen)
and [closed issues](https://github.com/kactus-io/kactus/issues?q=is%3Aclosed)
to see if your issue hasn't already been reported (it may also be fixed).

There is also a list of [known issues](https://github.com/kactus-io/kactus/blob/master/docs/known-issues.md)
that are being tracked against Kactus, and some of these issues have workarounds.

If you can't find an issue that matches what you're seeing, open a [new issue](https://github.com/kactus-io/kactus/issues/new)
choose the right template and provide us with enough information to investigate
further.

## :cactus: The issue I reported isn't fixed yet. What can I do?

If nobody has responded to your issue in a few days, you're welcome to respond to it with a friendly ping in the issue. Please do not respond more than a second time if nobody has responded. The Kactus maintainers are constrained in time and resources, and diagnosing individual configurations can be difficult and time consuming. While we'll try to at least get you pointed in the right direction, we can't guarantee we'll be able to dig too deeply into any one person's issue.

## :cactus: How can I contribute to Kactus?

The [CONTRIBUTING.md](./.github/CONTRIBUTING.md) document will help you get setup and
familiar with the source. The [documentation](docs/) folder also contains more
resources relevant to the project.

If you're looking for something to work on, check out the [help wanted](https://github.com/kactus-io/kactus/issues?q=is%3Aopen+is%3Aissue+label%3Ahelp%20wanted) label.

## :cactus: More Resources

See [kactus.io](http://kactus.io) for more product-oriented
information about Kactus.

## :cactus: License

**[MIT](LICENSE)**
